%global hgcheckout 20110130hg

Name:    mchange-commons
Version: 0.2
Release: %mkrel 0.3.%{hgcheckout}.3
Summary: A collection of general purpose utilities for c3p0
License: LGPLv2
URL:     http://sourceforge.net/projects/c3p0
Group:   Development/Java

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: junit
BuildRequires: ant-junit
BuildRequires: log4j

Requires: jpackage-utils
Requires: java

# This software is unreleased so generate tarball from upstream source control:
# $  hg clone http://c3p0.hg.sourceforge.net:8000/hgroot/c3p0/mchange-commons && tar -czf mchange-commons-20110130hg.tar.gz mchange-commons
Source0: %{name}-%{hgcheckout}.tar.gz

# Patch the build to include javadocs
Patch0: mchange-commons-javadoc.patch

# Patch to build with JDBC 4.1/Java 7
Patch1: mchange-commons-jdbc-4.1.patch

# Remove one of the tests that intermittently fails
Patch2: mchange-commons-remove-weakness-test.patch

BuildArch: noarch

%description
Originally part of c3p0, mchange-commons is a set of general purpose 
utilities.

%package javadoc
Summary:       API documentation for %{name}
Group:         Documentation
Requires:      jpackage-utils
Requires:      java-javadoc

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}

%patch0 -p0 -b .orig
%patch1 -p0 -b .jdbc41
%patch2 -p0 -b .testweakness

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
ant \
  -Dbuild.sysclasspath=first \
  -Djunit.jar.file=`build-classpath junit` \
  -Dlog4j.jar.file=`build-classpath log4j`
ant javadoc

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Feb 19 2013 umeabot <umeabot> 0.2-0.3.20110130hg.3.mga3
+ Revision: 399324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 0.2-0.3.20110130hg.1.mga2
+ Revision: 135807
- Add %%mkrel
- imported package mchange-commons


* Mon Jan 31 2011 Mat Booth <fedora@matbooth.co.uk> 0.2-0.3.20110130hg
- Add build dep on ant-junit.
- Build and install javadoc.

* Sun Jan 30 2011 Mat Booth <fedora@matbooth.co.uk> 0.2-0.2.20110130hg
- Update for guideline compliance.

* Fri Oct 8 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-0.1.20101008hg
- initial package
